// BallsDoc.h : interface of the CBallsDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BALLSDOC_H__9A0C4387_C8F0_11D1_AA63_00C04FB176AD__INCLUDED_)
#define AFX_BALLSDOC_H__9A0C4387_C8F0_11D1_AA63_00C04FB176AD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "BofWonder.h"

class CBallsDoc : public CDocument
{
protected: // create from serialization only
	CBallsDoc();
	DECLARE_DYNCREATE(CBallsDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBallsDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	void OnMouseMove( UINT nFlags, CPoint point);
	void OnLButtonUp( UINT nFlags, CPoint point);
	void OnLButtonDown( UINT nFlags, CPoint point);
	void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	BOOL OnTimer();
	void DrawScene();
	void GLSetupScene();
	virtual ~CBallsDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CBofWonder toy;

// Generated message map functions
protected:
	//{{AFX_MSG(CBallsDoc)
	afx_msg void OnOptionsRotate();
	afx_msg void OnOptionsMotion();
	afx_msg void OnOptionsReality();
	afx_msg void OnOptionsShadows();
	afx_msg void OnOptionsTexture();
	afx_msg void OnUpdateOptionsMotion(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsReality(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsRotate(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsShadows(CCmdUI* pCmdUI);
	afx_msg void OnUpdateOptionsTexture(CCmdUI* pCmdUI);
	afx_msg void OnOptionsMirroring();
	afx_msg void OnUpdateOptionsMirroring(CCmdUI* pCmdUI);
	afx_msg void OnPositionReset();
	afx_msg void OnPosition1();
	afx_msg void OnPosition2();
	afx_msg void OnPosition3();
	afx_msg void OnPosition4();
	afx_msg void OnPosition5();
	afx_msg void OnDrawstyleFill();
	afx_msg void OnUpdateDrawstyleFill(CCmdUI* pCmdUI);
	afx_msg void OnDrawstyleLine();
	afx_msg void OnUpdateDrawstyleLine(CCmdUI* pCmdUI);
	afx_msg void OnDrawstylePoint();
	afx_msg void OnUpdateDrawstylePoint(CCmdUI* pCmdUI);
	afx_msg void OnDrawstyleSilhouette();
	afx_msg void OnUpdateDrawstyleSilhouette(CCmdUI* pCmdUI);
	afx_msg void OnNormalsFlat();
	afx_msg void OnUpdateNormalsFlat(CCmdUI* pCmdUI);
	afx_msg void OnNormalsNone();
	afx_msg void OnUpdateNormalsNone(CCmdUI* pCmdUI);
	afx_msg void OnNormalsSmooth();
	afx_msg void OnUpdateNormalsSmooth(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BALLSDOC_H__9A0C4387_C8F0_11D1_AA63_00C04FB176AD__INCLUDED_)
