// simpleMFCView.h : interface of the CSimpleMFCView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SIMPLEMFCVIEW_H__B6315F05_3165_11D2_AA79_00C04FB176AD__INCLUDED_)
#define AFX_SIMPLEMFCVIEW_H__B6315F05_3165_11D2_AA79_00C04FB176AD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CSimpleMFCView : public CView
{
protected: // create from serialization only
	CSimpleMFCView();
	DECLARE_DYNCREATE(CSimpleMFCView)

// Attributes
public:
	CSimpleMFCDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimpleMFCView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSimpleMFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	HPALETTE m_palette;
	void SetupScene();
	void BuildPalette( PIXELFORMATDESCRIPTOR *pfd );
	BOOL doubleBuffered;
	HGLRC m_hRC;
	HDC m_hDC;
	//{{AFX_MSG(CSimpleMFCView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in simpleMFCView.cpp
inline CSimpleMFCDoc* CSimpleMFCView::GetDocument()
   { return (CSimpleMFCDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMPLEMFCVIEW_H__B6315F05_3165_11D2_AA79_00C04FB176AD__INCLUDED_)
