#ifndef __OGL_VIEW_H__
#define __OGL_VIEW_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class gfxmgr;

class oglView : public CView
{
protected: // create from serialization only
	oglView();
	DECLARE_DYNCREATE(oglView)

// Attributes
public:
	oglDoc* GetDocument();

// Operations
public:

	HPALETTE setupPalette(HDC hDC);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(oglView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~oglView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
  HGLRC _gl_context;
  HDC   _dev_context;
  gfxmgr *oglmgr;

// Generated message map functions
protected:
	//{{AFX_MSG(oglView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
        afx_msg void OnMButtonDblClk( UINT nFlags, CPoint point );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG
inline oglDoc* oglView::GetDocument()
   { return (oglDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // __OGL_VIEW_H__








