// BallsDoc.cpp : implementation of the CBallsDoc class
//

#include "stdafx.h"
#include "Balls.h"

#include "BallsDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBallsDoc

IMPLEMENT_DYNCREATE(CBallsDoc, CDocument)

BEGIN_MESSAGE_MAP(CBallsDoc, CDocument)
	//{{AFX_MSG_MAP(CBallsDoc)
	ON_COMMAND(ID_OPTIONS_ROTATE, OnOptionsRotate)
	ON_COMMAND(ID_OPTIONS_MOTION, OnOptionsMotion)
	ON_COMMAND(ID_OPTIONS_REALITY, OnOptionsReality)
	ON_COMMAND(ID_OPTIONS_SHADOWS, OnOptionsShadows)
	ON_COMMAND(ID_OPTIONS_TEXTURE, OnOptionsTexture)
	ON_UPDATE_COMMAND_UI(ID_OPTIONS_MOTION, OnUpdateOptionsMotion)
	ON_UPDATE_COMMAND_UI(ID_OPTIONS_REALITY, OnUpdateOptionsReality)
	ON_UPDATE_COMMAND_UI(ID_OPTIONS_ROTATE, OnUpdateOptionsRotate)
	ON_UPDATE_COMMAND_UI(ID_OPTIONS_SHADOWS, OnUpdateOptionsShadows)
	ON_UPDATE_COMMAND_UI(ID_OPTIONS_TEXTURE, OnUpdateOptionsTexture)
	ON_COMMAND(ID_OPTIONS_MIRRORING, OnOptionsMirroring)
	ON_UPDATE_COMMAND_UI(ID_OPTIONS_MIRRORING, OnUpdateOptionsMirroring)
	ON_COMMAND(ID_POSITION_RESET, OnPositionReset)
	ON_COMMAND(ID_POSITION_1, OnPosition1)
	ON_COMMAND(ID_POSITION_2, OnPosition2)
	ON_COMMAND(ID_POSITION_3, OnPosition3)
	ON_COMMAND(ID_POSITION_4, OnPosition4)
	ON_COMMAND(ID_POSITION_5, OnPosition5)
	ON_COMMAND(ID_DRAWSTYLE_FILL, OnDrawstyleFill)
	ON_UPDATE_COMMAND_UI(ID_DRAWSTYLE_FILL, OnUpdateDrawstyleFill)
	ON_COMMAND(ID_DRAWSTYLE_LINE, OnDrawstyleLine)
	ON_UPDATE_COMMAND_UI(ID_DRAWSTYLE_LINE, OnUpdateDrawstyleLine)
	ON_COMMAND(ID_DRAWSTYLE_POINT, OnDrawstylePoint)
	ON_UPDATE_COMMAND_UI(ID_DRAWSTYLE_POINT, OnUpdateDrawstylePoint)
	ON_COMMAND(ID_DRAWSTYLE_SILHOUETTE, OnDrawstyleSilhouette)
	ON_UPDATE_COMMAND_UI(ID_DRAWSTYLE_SILHOUETTE, OnUpdateDrawstyleSilhouette)
	ON_COMMAND(ID_NORMALS_FLAT, OnNormalsFlat)
	ON_UPDATE_COMMAND_UI(ID_NORMALS_FLAT, OnUpdateNormalsFlat)
	ON_COMMAND(ID_NORMALS_NONE, OnNormalsNone)
	ON_UPDATE_COMMAND_UI(ID_NORMALS_NONE, OnUpdateNormalsNone)
	ON_COMMAND(ID_NORMALS_SMOOTH, OnNormalsSmooth)
	ON_UPDATE_COMMAND_UI(ID_NORMALS_SMOOTH, OnUpdateNormalsSmooth)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBallsDoc construction/destruction

CBallsDoc::CBallsDoc()
{
	// TODO: add one-time construction code here

}

CBallsDoc::~CBallsDoc()
{
}

BOOL CBallsDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CBallsDoc serialization

void CBallsDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CBallsDoc diagnostics

#ifdef _DEBUG
void CBallsDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CBallsDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CBallsDoc commands

void CBallsDoc::GLSetupScene()
{

	toy.SetupScene();
	
}

void CBallsDoc::DrawScene()
{
	toy.DrawScene();	
}

BOOL CBallsDoc::OnTimer()
{
	return toy.OnTimer();
}


void CBallsDoc::OnOptionsRotate() 
{
	// TODO: Add your command handler code here
	if ( TRUE == toy.m_bRotating )
		toy.m_bRotating = FALSE;
	else 
		toy.m_bRotating = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnOptionsMotion() 
{
	// TODO: Add your command handler code here
	if ( TRUE == toy.m_bMoving )
		toy.m_bMoving = FALSE;
	else 
		toy.m_bMoving = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnOptionsReality() 
{
	// TODO: Add your command handler code here
	if ( TRUE == toy.m_bRealistic )
		toy.m_bRealistic = FALSE;
	else 
		toy.m_bRealistic = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnOptionsShadows() 
{
	// TODO: Add your command handler code here
	if ( TRUE == toy.m_bShadowing )
		toy.m_bShadowing = FALSE;
	else 
		toy.m_bShadowing = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnOptionsTexture() 
{
	// TODO: Add your command handler code here
	if ( TRUE == toy.m_bTexturing )
		toy.m_bTexturing = FALSE;
	else 
		toy.m_bTexturing = TRUE;

	toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnOptionsMirroring() 
{
	// TODO: Add your command handler code here
	if ( TRUE == toy.m_bMirroring )
		toy.m_bMirroring = FALSE;
	else 
		toy.m_bMirroring = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateOptionsMotion(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_bMoving );

}

void CBallsDoc::OnUpdateOptionsReality(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_bRealistic );
	
}

void CBallsDoc::OnUpdateOptionsRotate(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_bRotating );

}

void CBallsDoc::OnUpdateOptionsShadows(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_bShadowing );

}

void CBallsDoc::OnUpdateOptionsTexture(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_bTexturing );

}

void CBallsDoc::OnUpdateOptionsMirroring(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_bMirroring );
}

void CBallsDoc::OnPositionReset() 
{
	// TODO: Add your command handler code here
	toy.OnPositionReset();

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnPosition1() 
{
	// TODO: Add your command handler code here
	toy.OnPosition1();
	
	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnPosition2() 
{
	// TODO: Add your command handler code here
	toy.OnPosition2();

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnPosition3() 
{
	// TODO: Add your command handler code here
	toy.OnPosition3();

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnPosition4() 
{
	// TODO: Add your command handler code here
	toy.OnPosition4();

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnPosition5() 
{
	// TODO: Add your command handler code here
	toy.OnPosition5();

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnDrawstyleFill() 
{
	// TODO: Add your command handler code here
	toy.m_drawStyle = GLU_FILL;

	toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateDrawstyleFill(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_drawStyle == GLU_FILL );
}

void CBallsDoc::OnDrawstyleLine() 
{
	// TODO: Add your command handler code here
	toy.m_drawStyle = GLU_LINE;

	toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateDrawstyleLine(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_drawStyle == GLU_LINE );
}

void CBallsDoc::OnDrawstylePoint() 
{
	// TODO: Add your command handler code here
	toy.m_drawStyle = GLU_POINT;

	toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateDrawstylePoint(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_drawStyle == GLU_POINT );
}

void CBallsDoc::OnDrawstyleSilhouette() 
{
	// TODO: Add your command handler code here
	toy.m_drawStyle = GLU_SILHOUETTE;
	
    toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateDrawstyleSilhouette(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_drawStyle == GLU_SILHOUETTE );
}

void CBallsDoc::OnNormalsFlat() 
{
	// TODO: Add your command handler code herw

	toy.m_normals = GLU_FLAT;
	
    toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateNormalsFlat(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_normals == GLU_FLAT );
}

void CBallsDoc::OnNormalsNone() 
{
	// TODO: Add your command handler code here
	toy.m_normals = GLU_NONE;
	
    toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateNormalsNone(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_normals == GLU_NONE );
}

void CBallsDoc::OnNormalsSmooth() 
{
	// TODO: Add your command handler code here
	toy.m_normals = GLU_SMOOTH;
	
    toy.m_bNeedInit = TRUE;

	//SetModifiedFlag( TRUE );
	UpdateAllViews( NULL );
}

void CBallsDoc::OnUpdateNormalsSmooth(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	pCmdUI->SetCheck( toy.m_normals == GLU_SMOOTH );
}

void CBallsDoc::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	BOOL changed = FALSE;

	switch ( nChar )
	{
	case VK_SPACE:
		// space bar
		toy.Rotate();
		changed = TRUE;
		break;
	case VK_LEFT:
		// left key
	    toy.m_tx--;
		/*toy.m_lightPos[0]--;
		toy.m_actualLightPos[0]--;
		toy.m_bLightMoved = TRUE;
		toy.m_lightRadius--;*/
		changed = TRUE;
	    break;
	case VK_UP:
	    // up key
	    toy.m_ty++;
		/*toy.m_lightPos[2]++;
		toy.m_actualLightPos[2]++;
		toy.m_bLightMoved = TRUE;*/
		changed = TRUE;
	    break;
	case VK_RIGHT:
	    // right key
	    toy.m_tx++;
		/*toy.m_lightPos[0]++;
		toy.m_actualLightPos[0]++;
		toy.m_bLightMoved = TRUE;
		toy.m_lightRadius++;*/
		changed = TRUE;
	    break;
	case VK_DOWN:
	    // down key
	    toy.m_ty--;
		/*toy.m_lightPos[2]--;
		toy.m_actualLightPos[2]--;
		toy.m_bLightMoved = TRUE;*/
		changed = TRUE;
	    break;
	default:
	    break;
	}

	if ( TRUE == changed )
	{
		//SetModifiedFlag( TRUE );
		UpdateAllViews( NULL );
	}
}		

void CBallsDoc::OnLButtonDown(UINT nFlags, CPoint point)
{
	if ( toy.SelectBall( point.x, point.y ) )
	{
		toy.m_bDragging = TRUE;
		//SetModifiedFlag( TRUE );
		UpdateAllViews( NULL );
		// stop the balls and interface
	}
	else
	{
		toy.m_bDragging = FALSE;
	}
}

void CBallsDoc::OnLButtonUp(UINT nFlags, CPoint point)
{
	toy.m_nBall = -1;
	toy.m_bDragging = FALSE;
}

void CBallsDoc::OnMouseMove(UINT nFlags, CPoint point)
{
	if ( toy.m_bDragging )
	{
		toy.MoveBall( point.x, point.y );
		//SetModifiedFlag( TRUE );
		UpdateAllViews( NULL );
	}

}
