// BallsView.h : interface of the CBallsView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BALLSVIEW_H__9A0C4389_C8F0_11D1_AA63_00C04FB176AD__INCLUDED_)
#define AFX_BALLSVIEW_H__9A0C4389_C8F0_11D1_AA63_00C04FB176AD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "BallsDoc.h"

class CBallsView : public CView
{
protected: // create from serialization only
	CBallsView();
	DECLARE_DYNCREATE(CBallsView)

// Attributes
public:
	CBallsDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBallsView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	HPALETTE m_palette;
	int m_Height;
	int m_Width;
	void SetupScene();
	BOOL m_bDoubleBuffer;
	HDC m_hDC;
	HGLRC m_hRC;
	virtual ~CBallsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	void BuildPalette( PIXELFORMATDESCRIPTOR *pfd );
	UINT m_Timer;
	//{{AFX_MSG(CBallsView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BallsView.cpp
inline CBallsDoc* CBallsView::GetDocument()
   { return (CBallsDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BALLSVIEW_H__9A0C4389_C8F0_11D1_AA63_00C04FB176AD__INCLUDED_)
